# JsonUnsupportedObjectError class

Error thrown by JSON serialization if an object cannot be serialized.

The unsupportedObject field holds that object that failed to be serialized.

If an object isn't directly serializable, the serializer calls the `toJson` method on the object. If that call fails, the error will be stored in the cause field. If the call returns an object that isn't directly serializable, the cause is null.

Inheritance
  - Object
  - Error
  - JsonUnsupportedObjectError
Implementers
  - JsonCyclicError

## Constructors

JsonUnsupportedObjectError(Object unsupportedObject, { Object cause, String partialResult })

## Properties

cause → Object
  The exception thrown when trying to convert the object.
  final
partialResult → String
  The partial result of the conversion, up until the error happened. [...]
  final
unsupportedObject → Object
  The object that could not be serialized.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited